#
# spec file for package gnote
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnote
Version:        0.7.3
Release:        1
License:        GNU GPL v3 or later
Group:          Productivity/Text/Editors
Url:            http://live.gnome.org/Gnote
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  boost-devel >= 1.34
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtkmm2-devel >= 2.20
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  libpanelappletmm-devel
BuildRequires:  libuuid-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  pcre-devel
BuildRequires:  update-desktop-files
%gconf_schemas_prereq
Summary:        A Port of Tomboy to C++

%description
It is the same note taking application, including most of the add-ins (more are 
to come). Synchronization support is being worked on.



%lang_package
%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install --disable-scrollkeeper --enable-dbus
V=1 %__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
%suse_update_desktop_file gnote     Utility  DesktopUtility
%find_gconf_schemas
%find_lang %{name}

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files -f %{name}.schemas_list
%defattr(-,root,root)
%{_bindir}/gnote
%{_prefix}/lib/gnote-applet
%{_libdir}/bonobo/servers/GNOME_GnoteApplet.server
%{_libdir}/gnote
%{_datadir}/applications/gnote.desktop
%{_datadir}/gnote
%{_datadir}/icons/hicolor/*/apps/gnote.*
%{_mandir}/man1/gnote.1*

%files lang -f %{name}.lang

%changelog
